#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/include/Statistics.h"

namespace morpheo                    {
namespace behavioural {
namespace stage_1_ifetch {
namespace predictor {
namespace meta_predictor {


  Statistics::Statistics (string                                      name                       ,
			  morpheo::behavioural::Parameters_Statistics parameters_statistics      ,
			  Parameters                                  parameters
			  ) :
    morpheo::behavioural::Statistics(name                  ,
				     parameters_statistics ),
    _parameters(parameters)
  {
    log_printf(FUNC,Meta_Predictor,"Statistics","Begin");
    log_printf(FUNC,Meta_Predictor,"Statistics","End");
  };
  
  Statistics::~Statistics () 
  { 
    log_printf(FUNC,Meta_Predictor,"~Statistics","Begin");
    log_printf(FUNC,Meta_Predictor,"~Statistics","End");
  };

}; // end namespace meta_predictor
}; // end namespace predictor
}; // end namespace stage_1_ifetch

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
